<?xml version="1.0" encoding="UTF-8"?>
<project>
  <pomVersion>3</pomVersion>
  <name>ActiveMQ Module</name>
  <id>activemq-</id>
  <currentVersion>1.0-SNAPSHOT</currentVersion>

  <organization>
    <name>Protique, Ltd.</name>
    <url>http://www.protique.org</url>
    <!--
    <logo>http:/www.protique.org/images/logo.gif</logo>
    -->
  </organization>
  <logo></logo>

  <inceptionYear>2004</inceptionYear>

  <package>org.codehaus.activemq</package>

  <gumpRepositoryId>activemq</gumpRepositoryId>

  <description>
  	    ActiveMQ Module
  </description>

  <url>http://activemq.codehaus.org/</url>
  <issueTrackingUrl>http://jira.codehaus.org</issueTrackingUrl>

  <siteAddress>activemq.codehaus.org</siteAddress>
  <siteDirectory>/home/projects/activemq/public_html/maven</siteDirectory>
  <distributionDirectory>/home/projects/activemq/dist</distributionDirectory>

  <repository>
    <connection>scm:cvs:pserver:anonymous@cvs.activemq.codehaus.org:/home/projects/activemq/scm:activemq</connection>
    <developerConnection>scm:cvs:ext:${maven.username}@cvs.activemq.codehaus.org:/home/projects/activemq/scm:activemq</developerConnection>
    <url>http://cvs.activemq.codehaus.org/activemq/</url>
  </repository>

  <dependencies>
    <dependency>
      <groupId>commons-logging</groupId>
      <artifactId>commons-logging</artifactId>
      <version>1.0.3</version>
      <url>http://jakarta.apache.org/commons/logging/</url>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>
    <dependency>
      <id>concurrent</id>
      <version>1.3.4</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>

    <!-- lets use freely distributable J2EE jar -->
    <dependency>
      <id>geronimo-spec+j2ee</id>
      <version>1.4-SNAPSHOT</version>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>

    <!-- used for optional JSR 77 support inside Geronimo -->
    <dependency>
      <id>geronimo+kernel</id>
      <version>1.0-SNAPSHOT</version>
    </dependency>

    <!-- used for optional XML configuration mechanism -->
    <dependency>
      <id>springframework</id>
      <artifactId>spring-full</artifactId>
      <version>1.1-rc1</version>
      <url>http://www.springframework.org</url>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>


    <!-- optional transaction log -->
    <dependency>
      <groupId>howl</groupId>
      <artifactId>howl-logger</artifactId>
      <version>0.1.4</version>
      <url>http://forge.objectweb.org/projects/howl</url>
    </dependency>

    <!-- default message persistence in Geronimo (due to BSD licence) -->
    <dependency>
      <id>jdbm</id>
      <version>0.20-dev</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>

    <!-- optional message store: can't be distributed with Geronimo due to LGPL licence -->
    <dependency>
      <id>berkeleydb</id>
      <version>1.5.1</version>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>

    <!-- optional message store using native Berkeley DB: can't be distributed with Geronimo due to LGPL licence -->
    <dependency>
      <id>berkeleydb+native</id>
      <version>4.2</version>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>

    <!-- Optional Axion SQL DB used for testing JDBC message store -->
    <dependency>
      <groupId>axion</groupId>
      <artifactId>axion</artifactId>
      <version>1.0-M3-dev</version>
    </dependency>
    <dependency>
      <groupId>commons-logging</groupId>
      <artifactId>commons-logging</artifactId>
      <version>1.0.3</version>
    </dependency>
    <dependency>
      <groupId>commons-collections</groupId>
      <artifactId>commons-collections</artifactId>
      <version>2.1</version>
    </dependency>
    <dependency>
      <groupId>commons-primitives</groupId>
      <artifactId>commons-primitives</artifactId>
      <version>1.0</version>
    </dependency>
    <dependency>
      <groupId>regexp</groupId>
      <artifactId>regexp</artifactId>
      <version>1.3</version>
    </dependency>

    <!-- optional SOAP / Axis connectors -->
    <dependency>
      <id>axis</id>
      <version>1.2-RC1</version>
    </dependency>

    <!-- optional web connectors -->
    <dependency>
      <id>servletapi</id>
      <version>2.3</version>
    </dependency>

    <!-- an optional Geronimo Network transport-->
    <dependency>
      <id>geronimo+remoting</id>
      <version>1.0-SNAPSHOT</version>
    </dependency>
    <dependency>
      <id>geronimo+network</id>
      <version>1.0-SNAPSHOT</version>
    </dependency>
    <dependency>
      <id>geronimo+core</id>
      <version>1.0-SNAPSHOT</version>
    </dependency>

    <!-- an optional NIO transport -->
    <dependency>
      <id>emberio</id>
      <version>0.3-alpha</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>
    <dependency>
      <id>log4j</id>
      <version>1.2.8</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>

    <!-- an optional reliable multicast transport -->
    <dependency>
      <id>jrms</id>
      <version>1.1</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>

    <!-- an optional reliable multicast transport -->
    <dependency>
      <id>jgroups</id>
      <version>2.2.1</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>

    <!-- an optional JXTA / P2P transport -->
    <dependency>
      <id>p2psockets+core</id>
      <version>1.1.2</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>
    <dependency>
      <id>jxta</id>
      <version>2.0</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>

    <!-- optional used for in-web container testing -->
    <dependency>
      <id>jetty</id>
      <jar>org.mortbay.jetty-4.2.20RC0.jar</jar>
    </dependency>
    <dependency>
      <id>jetty+jasper-compiler</id>
      <jar>jasper-compiler-4.2.20RC0.jar</jar>
    </dependency>
    <dependency>
      <id>jetty+jasper-runtime</id>
      <jar>jasper-runtime-4.2.20RC0.jar</jar>
    </dependency>


    <!-- for unit test cases -->
    <dependency>
      <id>junit</id>
      <version>3.8.1</version>
    </dependency>
  </dependencies>

  <build>
    <nagEmailAddress>dev@activemq.codehaus.org</nagEmailAddress>
    <sourceDirectory>src/java</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>

    <integrationUnitTestSourceDirectory/>
    <aspectSourceDirectory/>

    <unitTest>
      <resources>
        <resource>
          <directory>src/test</directory>
          <includes>
            <include>**/*.properties</include>
          </includes>
        </resource>
      </resources>
      <includes>
        <include>**/*Test.*</include>
      </includes>
    </unitTest>

    <resources>
      <resource>
        <directory>src/conf</directory>
        <includes>
          <include>**/*</include>
        </includes>
      </resource>
    </resources>
  </build>
</project>
